Welcome to the new Schneider Electric Community

It's your place to connect with experts and peers, get continuous support, and share knowledge.

  • Explore the new navigation for even easier access to your community.
  • Bookmark and use our new, easy-to-remember address (community.se.com).
  • Get ready for more content and an improved experience.

Contact SchneiderCommunity.Support@se.com if you have any questions.

Close
Invite a Co-worker
Send a co-worker an invite to the Exchange portal.Just enter their email address and we’ll connect them to register. After joining, they will belong to the same company.
Send Invite Cancel
84488members
353706posts

PCNS Jetty webserver security

APC UPS Data Center & Enterprise Solutions Forum

Schneider Electric support forum for our Data Center and Business Power UPS, UPS Accessories, Software, Services, and associated commercial products designed to share knowledge, installation, and configuration.

Solved
ialbarnes_apc
Crewman
Crewman
0 Likes
1
249

PCNS Jetty webserver security

This was originally posted on APC forums on 8/19/2013


Hello,

I have been using PCNS 3.0 and 3.0.1 under Windows Server 2003 x86 to allow a number of servers to shutdown when instructed by a single UPS fitted with an AP9619 management card and this all works fine. However the people in charge of our security accreditation don't like the fact that it uses an old version of the Jetty java webserver, version 6.1.26, which has known security vulnerabilites. They would like us to upgrade to a recent stable version such as 8 or 9. Does anyone know if there is a newer version of PCNS that might have this included or if it is possible to upgrade the JAVA/Jetty versions within PCNS 3.0.1?

Thanks,

Ian


Accepted Solutions
BillP
Administrator Administrator
Administrator
0 Likes
0
251

Re: PCNS Jetty webserver security

This reply was originally posted by Bill on APC forums on 8/20/2013


Ian,

The Jetty associated with PCNS cannot be upgraded. We are presently working on PCNS version 3.1 and hope to release it in October. The plan is to have version 3.1 address known Jetty security issues.

See Answer In Context

1 Reply 1
BillP
Administrator Administrator
Administrator
0 Likes
0
252

Re: PCNS Jetty webserver security

This reply was originally posted by Bill on APC forums on 8/20/2013


Ian,

The Jetty associated with PCNS cannot be upgraded. We are presently working on PCNS version 3.1 and hope to release it in October. The plan is to have version 3.1 address known Jetty security issues.